=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kdoctools
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -11,9 +12,9 @@
                docbook-xml (>= 4.5),
                docbook-xsl,
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
-               libkf6archive-dev (>= 6.6.0~),
-               libkf6i18n-dev (>= 6.6.0~),
+               extra-cmake-modules (>= 6.8.0~),
+               libkf6archive-dev (>= 6.8.0~),
+               libkf6i18n-dev (>= 6.8.0~),
                liburi-perl,
                libxml2-dev,
                libxml2-utils,
@@ -22,8 +23,8 @@
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kdoctools
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kdoctools
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kdoctools.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdoctools
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdoctools
 Rules-Requires-Root: no
 
 Package: kdoctools6
@@ -59,7 +60,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdoctools6 (= ${binary:Version}),
-         libkf6archive-dev (>= 6.6.0~),
+         libkf6archive-dev (>= 6.8.0~),
          libkf6doctools6 (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
