## kf6-kdoctools 6.9.0

=== debian/changelog ===
kf6-kdoctools (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:46:05 +0000
