=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
                docbook-xml (>= 4.5),
                docbook-xsl,
                doxygen,
-               extra-cmake-modules (>= 6.8.0~),
-               libkf6archive-dev (>= 6.8.0~),
-               libkf6i18n-dev (>= 6.8.0~),
+               extra-cmake-modules (>= 6.9.0~),
+               libkf6archive-dev (>= 6.9.0~),
+               libkf6i18n-dev (>= 6.9.0~),
                liburi-perl,
                libxml2-dev,
                libxml2-utils,
@@ -60,7 +60,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdoctools6 (= ${binary:Version}),
-         libkf6archive-dev (>= 6.8.0~),
+         libkf6archive-dev (>= 6.9.0~),
          libkf6doctools6 (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
