=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                docbook-xml (>= 4.5),
                docbook-xsl,
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
-               libkf6archive-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
+               libkf6archive-dev (>= 6.11.0~),
+               libkf6i18n-dev (>= 6.11.0~),
                liburi-perl,
                libxml2-dev,
                libxml2-utils,
@@ -59,7 +59,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdoctools6 (= ${binary:Version}),
-         libkf6archive-dev (>= 6.10.0~),
+         libkf6archive-dev (>= 6.11.0~),
          libkf6doctools6 (= ${binary:Version}),
          qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
