=== debian/control ===
--- 
+++ 
@@ -1,30 +1,29 @@
 Source: kf6-kdoctools
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                docbook-xml (>= 4.5),
                docbook-xsl,
                doxygen,
-               extra-cmake-modules (>= 6.12.0~),
-               libkf6archive-dev (>= 6.12.0~),
-               libkf6i18n-dev (>= 6.12.0~),
+               extra-cmake-modules (>= 6.13.0~),
+               libkf6archive-dev (>= 6.13.0~),
+               libkf6i18n-dev (>= 6.13.0~),
                liburi-perl,
                libxml2-dev,
                libxml2-utils,
                libxslt1-dev,
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kdoctools
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdoctools
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kdoctools
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kdoctools
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kdoctools.git
 Rules-Requires-Root: no
 
 Package: kdoctools6
@@ -60,9 +59,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdoctools6 (= ${binary:Version}),
-         libkf6archive-dev (>= 6.12.0~),
+         libkf6archive-dev (>= 6.13.0~),
          libkf6doctools6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6doctools-doc (= ${source:Version}),
 Description: Development files for kdoctools6
